Bug 146451 - Unmatched disks into proposed RAID causes 'long' pause
Unmatched disks into proposed RAID causes 'long' pause
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 07:47 EST by Andrew Bartlett
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 20:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2005-01-28 07:47:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When installing a software raid (RAID1 mirrored) parition onto disks
with different current data, the installer hangs during the formatting
of the partitations. 

It appears that some final part of the mke2fs stage is waiting for the
software raid to complete it's resync between the two disks.  This is
being done, despite the partitions being 'new'  (perhaps it would be
faster to write zeros?).

The installer should somehow detect that the hang is due to an MD
resync, and display progress or something to give the user a clue that
the kernel is really hard at work, even if it takes 2 hours.

This was with /boot on /dev/md0, and an LVM partition on /dev/md1

After that is finished, the install is perfect

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use two disks with very different data for the install
2. Select Software raid (mirrored), installing at least 2 mirrored
partitions.  Use LVM for /, on 2nd raid partition.
3. Formatting hangs at the end of the second raided partition.
    

Actual Results:  Very long pause.  Only clue if you actually 'cat
/proc/mdstat' on the console.  Installer appears hung, except for the
hourglass turning over.

Expected Results:  A message inidcating progress, or at least a more
responsiive installer.  

Additional info:

I realise that expecting the kernel not to rebuild as soon as possible
is a bit much, but it would be nice if it did not block the LVM formats.
Comment 1 Jeremy Katz 2005-01-28 15:24:10 EST
With raidtools, we didn't do the resyncing at install time, but that
has its downsides too...
Comment 2 Matthew Miller 2006-07-10 16:31:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Andrew Bartlett 2007-07-24 20:24:33 EDT
I recently did an install of CentOS5, and didn't see anything like this.  I
presume therefore that this has been fixed. 

Note You need to log in before you can comment on or make changes to this bug.